### Name: JLLp
### Title: Parametric Generalized Homothetic Production Function
### Aliases: JLLp
### Keywords: regression

### ** Examples

library(JLLprod)
data(ecu)
##This part simply does some data sorting & trimming
xlnK <- ecu$lnk
xlnL <- ecu$lnl
xlnY <- ecu$lny
xqKL <- quantile(xlnK-xlnL,  probs=c(2.5,97.5)/100)
yx <- cbind(xlnY,xlnK,xlnL)
tlnklnl <- yx[((yx[,2]-yx[,3])>=xqKL[1]) & ((yx[,2]-yx[,3])<=xqKL[2]),]
tlnklnl[,2]<-tlnklnl[,2]-tlnklnl[,3]

bb<-list(b0=11,b1=1,b2=0,g=-0.15,a=0.4)
Y <- tlnklnl[,1]; K <- tlnklnl[,2]; L <- tlnklnl[,3]
pJLL<-JLLp(Y,K,L,theta=bb,model=2)
print(summary(pJLL))



